## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://developers.dwolla.com/llms.txt)

Use this file to discover all available pages before exploring further.

GET

https://api.dwolla.comhttps://api-sandbox.dwolla.com

/exchanges

/{id}
cURL

```
GET https://api.dwolla.com/exchanges/e5e9f2d3-a96c-4abd-a097-8ec7ae28aa8a
Accept: application/vnd.dwolla.v1.hal+json
Authorization: Bearer pBA9fVDBEyYZCEsLf/wKehyh1RTpzjUj5KzIRfDi0wKTii7DqY

...
{
    "_links": {
        "self": {
            "href": "https://api.dwolla.com/exchanges/e5e9f2d3-a96c-4abd-a097-8ec7ae28aa8a",
            "type": "application/vnd.dwolla.v1.hal+json",
            "resource-type": "exchange"
        },
        "exchange-partner": {
            "href": "https://api.dwolla.com/exchange-partners/9b55a4b3-34ae-4607-b2d1-622f1eed77f9",
            "type": "application/vnd.dwolla.v1.hal+json",
            "resource-type": "exchange-partner"
        }
    },
    "id": "e5e9f2d3-a96c-4abd-a097-8ec7ae28aa8a",
    "status": "active",
    "created": "2022-10-21T21:41:03.283Z"
}
```

```javascript
// Using dwolla-v2 - https://github.com/Dwolla/dwolla-v2-node
var exchangeUrl = "https://api.dwolla.com/exchanges/e5e9f2d3-a96c-4abd-a097-8ec7ae28aa8a";

token.get(exchangeUrl).then((res) => res.body.id); // => "e5e9f2d3-a96c-4abd-a097-8ec7ae28aa8a"
```

```
# Using dwollav2 - https://github.com/Dwolla/dwolla-v2-python
exchange_url = 'https://api.dwolla.com/exchanges/e5e9f2d3-a96c-4abd-a097-8ec7ae28aa8a'

exchange = app_token.get(exchange_url)
exchange.body['id'] # => 'e5e9f2d3-a96c-4abd-a097-8ec7ae28aa8a'
```

```
<?php
// Using dwollaswagger - https://github.com/Dwolla/dwolla-swagger-php
$exchangesApi = new ExchangesApi($apiClient);

$exchangeUrl = "https://api.dwolla.com/exchanges/e5e9f2d3-a96c-4abd-a097-8ec7ae28aa8a";
$exchange = $exchangesApi->getExchange($exchangeUrl);
$exchange->id; # => "e5e9f2d3-a96c-4abd-a097-8ec7ae28aa8a"
?>
```

```
# Using dwolla_v2 - https://github.com/Dwolla/dwolla-v2-ruby
exchange_url = 'https://api.dwolla.com/exchanges/e5e9f2d3-a96c-4abd-a097-8ec7ae28aa8a'

exchange = app_token.get exchange_url
exchange.id # => "e5e9f2d3-a96c-4abd-a097-8ec7ae28aa8a"
```

200

401

404

```
{
  "_links": {},
  "id": "d3d6b41e-5567-4bc6-9c6e-0efd0a3e647e",
  "status": "active",
  "created": "2022-07-23T00:18:21.419Z"
}
```

```
{
  "code": "InvalidScope",
  "message": "The scopes for retrieving an exchange resource is not enabled for this application. Reach out to Dwolla for more information."
}
```

```
{
  "code": "NotFound",
  "message": "The requested resource was not found. Check Exchange ID."
}
```

#### Authorizations

Authorization

string

header

required

The access token received from the authorization server in the OAuth 2.0 flow.

#### Headers

Accept

enum<string>

default:application/vnd.dwolla.v1.hal+json

required

The media type of the response. Must be application/vnd.dwolla.v1.hal+json

Available options:

`application/vnd.dwolla.v1.hal+json`

#### Path Parameters

id

string

required

Exchange resource unique identifier.

Example:

`"e5e9f2d3-a96c-4abd-a097-8ec7ae28aa8a"`

#### Response

200

application/vnd.dwolla.v1.hal+json

successful operation

\_links

object

required

Showchild attributes

id

string

required

Example:

`"d3d6b41e-5567-4bc6-9c6e-0efd0a3e647e"`

status

enum<string>

required

Available options:

`active`,

`deactivated`,

`removed`

Example:

`"active"`

created

string<date-time>

required

Example:

`"2022-07-23T00:18:21.419Z"`
